Skip to main content
curl https://api.chargeapi.co/v1/charging_stations/chst_7YLjJnEZhLmErrgYaTze9lFzdwjjHJl8 \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "chst_7YLjJnEZhLmErrgYaTze9lFzdwjjHJl8",
    "object": "charging_station",
    "address": {
        "city": "Paris",
        "country": "FR",
        "line1": "10 Rue de la Paix",
        "line2": "Batiment A",
        "postal_code": "75002",
        "state": "Ile-de-France"
    },
    "availability": {
        "connectors_available": 3,
        "connectors_total": 8,
        "opening_hours": [
            {
                "day": "mon",
                "from": "08:00",
                "until": "20:00"
            }
        ],
        "range": [
            {
                "from": "2026-04-01T01:17:07.327Z",
                "until": "2026-04-01T02:17:45.561Z"
            }
        ]
    },
    "capabilities": {
        "24_7_access": false,
        "amenities": ["cafe", "restrooms", "wifi"],
        "payment_methods": ["credit_card", "rfid"],
        "requires_membership": false,
        "reservable": true
    },
    "connectors": [
        {
            "id": "connector_a1",
            "power": 150,
            "status": "available",
            "type": "CCS"
        },
        {
            "id": "connector_a2",
            "power": 150,
            "status": "occupied",
            "type": "CCS"
        }
    ],
    "created": "2026-04-01T00:17:29.837Z",
    "location": {
        "latitude": 48.8698,
        "longitude": 2.3319
    },
    "name": "Example Station",
    "operator": "Example Operator",
    "operator_contact": "support@example.com",
    "pricing": [
        {
            "currency": "eur",
            "price": 42,
            "step_size": 1,
            "tax": "vat",
            "type": "ENERGY"
        }
    ],
    "status": "active",
    "updated": "2026-04-01T01:17:30.640Z"
}
Retrieves a charging station.
curl https://api.chargeapi.co/v1/charging_stations/chst_7YLjJnEZhLmErrgYaTze9lFzdwjjHJl8 \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "chst_7YLjJnEZhLmErrgYaTze9lFzdwjjHJl8",
    "object": "charging_station",
    "address": {
        "city": "Paris",
        "country": "FR",
        "line1": "10 Rue de la Paix",
        "line2": "Batiment A",
        "postal_code": "75002",
        "state": "Ile-de-France"
    },
    "availability": {
        "connectors_available": 3,
        "connectors_total": 8,
        "opening_hours": [
            {
                "day": "mon",
                "from": "08:00",
                "until": "20:00"
            }
        ],
        "range": [
            {
                "from": "2026-04-01T01:17:07.327Z",
                "until": "2026-04-01T02:17:45.561Z"
            }
        ]
    },
    "capabilities": {
        "24_7_access": false,
        "amenities": ["cafe", "restrooms", "wifi"],
        "payment_methods": ["credit_card", "rfid"],
        "requires_membership": false,
        "reservable": true
    },
    "connectors": [
        {
            "id": "connector_a1",
            "power": 150,
            "status": "available",
            "type": "CCS"
        },
        {
            "id": "connector_a2",
            "power": 150,
            "status": "occupied",
            "type": "CCS"
        }
    ],
    "created": "2026-04-01T00:17:29.837Z",
    "location": {
        "latitude": 48.8698,
        "longitude": 2.3319
    },
    "name": "Example Station",
    "operator": "Example Operator",
    "operator_contact": "support@example.com",
    "pricing": [
        {
            "currency": "eur",
            "price": 42,
            "step_size": 1,
            "tax": "vat",
            "type": "ENERGY"
        }
    ],
    "status": "active",
    "updated": "2026-04-01T01:17:30.640Z"
}

Parameters

No parameters.

Returns

Returns the charging station.